#!/bin/sh

##-------------------------------------------------------------------------------
## OUMA is Copyright (c)  2003 Volker Krause <volker_krause@gmx.net>
##
## Creation:     02.04.2003  mm
## Last Update:  02.04.2003  mm
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation in Version 2; Not any previous or future
## version.
##-------------------------------------------------------------------------------

/sbin/ipchains -M -L -n > /var/run/ouma/internet
set `ls /var/run/ouma/*.time | sed "s/\/var\/run\/ouma\///" | sed "s/.time//"`
ip_count=$#
count=1
while [ $count -le $ip_count ]
do
	help1="\$1"
	ip=`eval "echo $help1"`
           if grep $ip /var/run/ouma/internet >/dev/null;
      then
	  timeleft=`cat /var/run/ouma/$ip.time`
	  timeleft=`/usr/bin/expr $timeleft - 1`
	  echo $timeleft > /var/run/ouma/$ip.time
	  if [ $timeleft -le 0 ]
               then
		export ip
		/usr/local/bin/ouma_blockip.sh
	  fi
	fi
	count=`/usr/bin/expr $count + 1`
	shift 1
done
rm -f /var/run/ouma/internet